donnemartin donnemartin

saws

15 0 0

A supercharged AWS command line interface (CLI).

Dependencies

Package Locked Requirement Latest Status Changelog
Pypi Sphinx-PyPI-upload >=0.2.1 0.2.1

Sphinx-PyPI-upload

setuptools command for uploading Sphinx documentation to PyPI

This dependency is up-to-date. Congrats and keep going!

Pypi awscli >=1.7.46,<2.0.0 1.11.123

awscli

Universal Command Line Environment for AWS.

This dependency is up-to-date. Congrats and keep going!

Pypi click >=4.0,<7.0 6.7

click

A simple wrapper around optparse for powerful command line utilities.

This dependency is up-to-date. Congrats and keep going!

Pypi codecov >=1.3.3 2.0.9

codecov

Hosted coverage reports for Github, Bitbucket and Gitlab

This dependency is up-to-date. Congrats and keep going!

Pypi configobj >=5.0.6,<6.0.0 5.0.6

configobj

Config file reading, writing and validation.

This dependency is up-to-date. Congrats and keep going!

Pypi enum34 >=1.0.4 1.1.6

enum34

Python 3.4 Enum backported to 3.3, 3.2, 3.1, 2.7, 2.6, 2.5, and 2.4

This dependency is up-to-date. Congrats and keep going!

Pypi flake8 >=2.4.1 3.3.0

flake8

the modular source code checker: pep8, pyflakes and co

This dependency is up-to-date. Congrats and keep going!

Pypi gitchangelog >=2.2.1 3.0.3

gitchangelog

gitchangelog generates a changelog thanks to git log.

This dependency is up-to-date. Congrats and keep going!

Pypi mock >=1.0.1 2.0.0

mock

Rolling backport of unittest.mock for all Pythons

This dependency is up-to-date. Congrats and keep going!

Pypi pexpect >=3.3 4.2.1

pexpect

Pexpect allows easy control of interactive console applications.

This dependency is up-to-date. Congrats and keep going!

Pypi prompt-toolkit >=1.0.0,<1.1.0

Pypi pygments >=2.0.2,<3.0.0 2.2.0

pygments

Pygments is a syntax highlighting package written in Python.

This dependency is up-to-date. Congrats and keep going!

Pypi pytest >=2.7.0 3.1.3

pytest

pytest: simple powerful testing with Python

This dependency is up-to-date. Congrats and keep going!

Pypi six >=1.9.0,<2.0.0 1.10.0

six

Python 2 and 3 compatibility utilities

This dependency is up-to-date. Congrats and keep going!

Pypi sphinx >=1.3.1 1.6.3

sphinx

Python documentation generator

This dependency is up-to-date. Congrats and keep going!

Pypi tox >=1.9.2 2.7.0

tox

virtualenv-based automation of test activities

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
There is no development dependency.